import 'dart:typed_data';

import '../../../../../modern_form_videos.dart'
    show ModernFormVideoPlatformHelperWebUtils;
import '../youtube/helper.dart';

class ModernFormVideoPlatformHelper {
  static Future<void> shareVideo(Uint8List bytes, String text) async {}

  static Future<Uint8List?> downloadFromYoutube(String url,
          [void Function(int, int)? onBytesReceived, bool? force]) =>
      YoutubeHelper.downloadFromYoutube(url, onBytesReceived, force);

  static Future<int?> getYoutubeDownLoadLength(String url) =>
      YoutubeHelper.getYoutubeDownLoadLength(
          "${ModernFormVideoPlatformHelperWebUtils.corsProxy}$url");
}
